<launch>

  <!-- The request adapters (plugins) used when planning with OMPL. ORDER MATTERS! -->
                <!-- default_planner_request_adapters/AddRuckigTrajectorySmoothing -->
  <arg name="planning_adapters"
       default="default_planner_request_adapters/AddTimeOptimalParameterization
                default_planner_request_adapters/ResolveConstraintFrames
                default_planner_request_adapters/FixWorkspaceBounds
                default_planner_request_adapters/FixStartStateBounds
                default_planner_request_adapters/FixStartStateCollision
                default_planner_request_adapters/FixStartStatePathConstraints"
                />

  <arg name="start_state_max_bounds_error" default="0.1" />
  <arg name="jiggle_fraction" default="0.05" />

  <param name="planning_plugin" value="ompl_interface/OMPLPlanner" />
  <param name="request_adapters" value="$(arg planning_adapters)" />
  <param name="start_state_max_bounds_error" value="$(arg start_state_max_bounds_error)" />
  <param name="jiggle_fraction" value="$(arg jiggle_fraction)" />

  <!-- Add MoveGroup capabilities specific to this pipeline -->
  <!-- <param name="capabilities" value="" /> -->

  <rosparam command="load" file="$(find panda_moveit_config)/config/ompl_planning.yaml"/>

</launch>
